A Mapper is responsible to define how a specific type is mapped to an attribute value which can be stored in dynamoDB and how to parse the value from dynamoDB back into the specific type

### Type parameters

- #### T

- #### R: StringAttribute | NumberAttribute | BinaryAttribute | StringSetAttribute | NumberSetAttribute | BinarySetAttribute | MapAttribute | ListAttribute | NullAttribute | BooleanAttribute

### Hierarchy

- MapperForType

## Index

### Properties

- fromDb
- toDb

## Properties

### fromDb

fromDb: FromDbFn<T, R>

- Defined in mapper/for-type/base.mapper.ts:82

### toDb

toDb: ToDbFn<T, R>

- Defined in mapper/for-type/base.mapper.ts:83